#include "queryeditor.h"
#include <QSplitter>
#include <QVBoxLayout>
#include <QToolBar>
#include <QAction>
#include <QDebug>
#include <QFormLayout>
#include "common/sqlhelper.h"
QueryEditor::QueryEditor(QWidget *parent) :
        AbstractForm(parent)
{

    mCurrentRecord = SqlHelper::emptyRecord("requetes");

    mTextEdit = new QTextEdit;
    mTableView = new QTableView;
    mModel = new QSqlQueryModel;
    mNameEdit = new QLineEdit;
    mCommentaireEdit = new QLineEdit;
    QVBoxLayout * layout = new QVBoxLayout;
    QFormLayout * formLayout = new QFormLayout;
    QWidget * mainWidget = new QWidget;

    QSplitter * vSplitter = new QSplitter(Qt::Vertical);
    QToolBar * toolBar = new QToolBar;
    QAction * execAction = new QAction("exec",this);

    mTableView->setModel(mModel);
    toolBar->addAction(execAction);

    vSplitter->addWidget(mTextEdit);
    vSplitter->addWidget(mTableView);


    formLayout->addRow("nom",mNameEdit);
    formLayout->addRow("commentaire",mCommentaireEdit);

    layout->addWidget(toolBar);
    layout->addLayout(formLayout);
    layout->addWidget(vSplitter);
    mainWidget->setLayout(layout);

    setMainWidget(mainWidget);
    connect(execAction,SIGNAL(triggered()),this,SLOT(exec()));

}
void QueryEditor::save()
{
    mCurrentRecord.setValue("nom",mNameEdit->text());
    mCurrentRecord.setValue("commentaire",mCommentaireEdit->text());
    mCurrentRecord.setValue("query",mTextEdit->toPlainText());

qDebug()<<mCurrentRecord;
    SqlHelper::saveRecord("requetes",mCurrentRecord);

}
void QueryEditor::load(QSqlRecord record)
{
    mCurrentRecord = record;
    mTextEdit->setText(mCurrentRecord.value("query").toString());
    mNameEdit->setText(mCurrentRecord.value("nom").toString());
    mCommentaireEdit->setText(mCurrentRecord.value("commentaire").toString());

}
void QueryEditor::exec()
{
    QString requete = mTextEdit->toPlainText();

    // FAIRE UN SI CONTIENT REQUETE INTERDITE

    mModel->setQuery(requete);



}


